be.vlaanderen.mercurius.mohm.common.v7

## Class ConsultHistoryResponseType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.ConsultHistoryResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultHistoryResponseType
      extends Object
      implements Serializable

  Groeperend element voor het antwoord op de vraag tot consultatie van de historiek.

  Java class for ConsultHistoryResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultHistoryResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ConsultHistoryAcceptedType"/>
               <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ConsultHistoryNotAcceptedType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultHistoryResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultHistoryAcceptedType` | `getAccepted()` Gets the value of the accepted property.
    `ConsultHistoryNotAcceptedType` | `getNotAccepted()` Gets the value of the notAccepted property.
    `void` | `setAccepted(ConsultHistoryAcceptedType value)` Sets the value of the accepted property.
    `void` | `setNotAccepted(ConsultHistoryNotAcceptedType value)` Sets the value of the notAccepted property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultHistoryResponseType

          public ConsultHistoryResponseType()

  - ### Method Detail

    - #### getNotAccepted

          public ConsultHistoryNotAcceptedType getNotAccepted()

      Gets the value of the notAccepted property.
      Returns:
        possible object is `ConsultHistoryNotAcceptedType`

    - #### setNotAccepted

          public void setNotAccepted(ConsultHistoryNotAcceptedType value)

      Sets the value of the notAccepted property.
      Parameters:
        `value` - allowed object is `ConsultHistoryNotAcceptedType`

    - #### getAccepted

          public ConsultHistoryAcceptedType getAccepted()

      Gets the value of the accepted property.
      Returns:
        possible object is `ConsultHistoryAcceptedType`

    - #### setAccepted

          public void setAccepted(ConsultHistoryAcceptedType value)

      Sets the value of the accepted property.
      Parameters:
        `value` - allowed object is `ConsultHistoryAcceptedType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.